declare module '@ember/-internals/views/lib/views/states.d.ts' {
  import type Component from '@ember/component';
  export interface ViewState {
      enter?(view: Component): void;
      exit?(view: Component): void;
      appendChild(): void;
      handleEvent(view: Component, eventName: string, event: Event): boolean;
      rerender(view: Component): void;
      destroy(view: Component): void;
  }
  const states: Readonly<{
      preRender: Readonly<{
          enter?: ((view: Component) => void) | undefined;
          exit?: ((view: Component) => void) | undefined;
          appendChild: () => void;
          handleEvent: (view: Component, eventName: string, event: Event) => boolean;
          rerender: (view: Component) => void;
          destroy: (view: Component) => void;
      }>;
      inDOM: Readonly<ViewState>;
      hasElement: Readonly<ViewState>;
      destroying: Readonly<ViewState>;
  }>;
  export default states;
}
